PHP Handbuch
Zurück |  | Weiter

# DOMText->__construct()

(no version information, might be only in CVS)

DOMText->__construct() -- Creates a new DOMText object

## Beschreibung

class DOMText {
__construct ( [string value] )
}

Creates a new DOMText object.

## Parameter Liste

value

  The value of the text node. If not supplied an empty text node is created.

## Beispiele

Beispiel 1. Creating a new DOMText

`<?php $dom = new DOMDocument('1.0', 'iso-8859-1'); $element = $dom->appendChild(new DOMElement('root')); $text = $element->appendChild(new DOMText('root value')); echo $dom->saveXML(); /* <?xml version="1.0" encoding="iso-8859-1"?><root>root value</root> */ ?>`

## Siehe auch

DOMDocument->createTextNode()

Zurück | Zum Anfang | Weiter
DOMProcessingInstruction->__construct() | Nach oben | DOMText->isWhitespaceInElementContent()